kr.co.hanwha.hifive.admin.admin.adapter

## Class AdminMemberTaskListAdapter

- java.lang.Object
- - android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>
  - - kr.co.hanwha.hifive.admin.admin.adapter.AdminMemberTaskListAdapter

    public class AdminMemberTaskListAdapter
    extends android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>

Created by sanghoonkwon on 2018. 3. 21..

### Nested Class Summary

Nested Classes
`static interface` `AdminMemberTaskListAdapter.OnAdminTaskListListener` OnAdminTaskListListener

### Field Summary

Fields
`private java.util.ArrayList<AdminMemberTaskData>` `mListData`
`private AdminMemberTaskListAdapter.OnAdminTaskListListener` `mOnAdminTaskListListener`
`private java.lang.String` `mReceiverName`
`private int` `TYPE_TASK`
`private int` `ZERO`

### Constructor Summary

Constructors
Constructor and Description
`AdminMemberTaskListAdapter(java.lang.String receiverName, AdminMemberTaskListAdapter.OnAdminTaskListListener onAdminTaskListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addItem(AdminMemberTaskData data)`
`void` `addItems(java.util.ArrayList<AdminMemberTaskData> list)`
`void` `clearItems()` Model
`int` `getItemCount()`
`int` `getItemViewType(int position)` Adapter
`void` `notifyDataAll()` ViewActivity
`void` `notifyDataRangeChanged(int positionStart, int itemCount)`
`void` `onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder, int position)`
`android.support.v7.widget.RecyclerView.ViewHolder` `onCreateViewHolder(android.view.ViewGroup parent, int viewType)`

### Methods inherited from class android.support.v7.widget.RecyclerView.Adapter

`bindViewHolder, createViewHolder, getItemId, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ZERO

    private final int ZERO

See Also:
  Constant Field Values

#### TYPE_TASK

    private final int TYPE_TASK

See Also:
  Constant Field Values

#### mListData

    private java.util.ArrayList<AdminMemberTaskData> mListData

#### mOnAdminTaskListListener

    private AdminMemberTaskListAdapter.OnAdminTaskListListener mOnAdminTaskListListener

#### mReceiverName

    private java.lang.String mReceiverName

### Constructor Detail

#### AdminMemberTaskListAdapter

    public AdminMemberTaskListAdapter(java.lang.String receiverName,
                                      @Nullable
                                      AdminMemberTaskListAdapter.OnAdminTaskListListener onAdminTaskListListener)

### Method Detail

#### notifyDataAll

    public void notifyDataAll()

ViewActivity

#### notifyDataRangeChanged

    public void notifyDataRangeChanged(int positionStart,
                                       int itemCount)

#### clearItems

    public void clearItems()

Model

#### addItem

    public void addItem(AdminMemberTaskData data)

#### addItems

    public void addItems(java.util.ArrayList<AdminMemberTaskData> list)

#### getItemViewType

    public int getItemViewType(int position)

Adapter

Overrides:
  `getItemViewType` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onCreateViewHolder

    public android.support.v7.widget.RecyclerView.ViewHolder onCreateViewHolder(android.view.ViewGroup parent,
                                                                                int viewType)

Specified by:
  `onCreateViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### onBindViewHolder

    public void onBindViewHolder(android.support.v7.widget.RecyclerView.ViewHolder holder,
                                 int position)

Specified by:
  `onBindViewHolder` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`

#### getItemCount

    public int getItemCount()

Specified by:
  `getItemCount` in class `android.support.v7.widget.RecyclerView.Adapter<android.support.v7.widget.RecyclerView.ViewHolder>`